Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class UITokenServiceCredentialTO

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.UITokenServiceCredentialTO

All Implemented Interfaces:
  Serializable

public class UITokenServiceCredentialTO
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`UITokenServiceCredentialTO()`
`UITokenServiceCredentialTO(String address, String associatedCardDescription, byte[] associatedCardImage, String associatedCardImageType, String associatedCardName, String metadataAddress, String name, String password, String pinCode, boolean saveCredential, String type, String username)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getAddress()` Gets the address value for this UITokenServiceCredentialTO.
`String` | `getAssociatedCardDescription()` Gets the associatedCardDescription value for this UITokenServiceCredentialTO.
`byte[]` | `getAssociatedCardImage()` Gets the associatedCardImage value for this UITokenServiceCredentialTO.
`String` | `getAssociatedCardImageType()` Gets the associatedCardImageType value for this UITokenServiceCredentialTO.
`String` | `getAssociatedCardName()` Gets the associatedCardName value for this UITokenServiceCredentialTO.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String` | `getMetadataAddress()` Gets the metadataAddress value for this UITokenServiceCredentialTO.
`String` | `getName()` Gets the name value for this UITokenServiceCredentialTO.
`String` | `getPassword()` Gets the password value for this UITokenServiceCredentialTO.
`String` | `getPinCode()` Gets the pinCode value for this UITokenServiceCredentialTO.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`String` | `getType()` Gets the type value for this UITokenServiceCredentialTO.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`String` | `getUsername()` Gets the username value for this UITokenServiceCredentialTO.
`int` | `hashCode()`
`boolean` | `isSaveCredential()` Gets the saveCredential value for this UITokenServiceCredentialTO.
`void` | `setAddress(String address)` Sets the address value for this UITokenServiceCredentialTO.
`void` | `setAssociatedCardDescription(String associatedCardDescription)` Sets the associatedCardDescription value for this UITokenServiceCredentialTO.
`void` | `setAssociatedCardImage(byte[] associatedCardImage)` Sets the associatedCardImage value for this UITokenServiceCredentialTO.
`void` | `setAssociatedCardImageType(String associatedCardImageType)` Sets the associatedCardImageType value for this UITokenServiceCredentialTO.
`void` | `setAssociatedCardName(String associatedCardName)` Sets the associatedCardName value for this UITokenServiceCredentialTO.
`void` | `setMetadataAddress(String metadataAddress)` Sets the metadataAddress value for this UITokenServiceCredentialTO.
`void` | `setName(String name)` Sets the name value for this UITokenServiceCredentialTO.
`void` | `setPassword(String password)` Sets the password value for this UITokenServiceCredentialTO.
`void` | `setPinCode(String pinCode)` Sets the pinCode value for this UITokenServiceCredentialTO.
`void` | `setSaveCredential(boolean saveCredential)` Sets the saveCredential value for this UITokenServiceCredentialTO.
`void` | `setType(String type)` Sets the type value for this UITokenServiceCredentialTO.
`void` | `setUsername(String username)` Sets the username value for this UITokenServiceCredentialTO.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UITokenServiceCredentialTO

    public UITokenServiceCredentialTO()

### UITokenServiceCredentialTO

    public UITokenServiceCredentialTO(String address,
                                      String associatedCardDescription,
                                      byte[] associatedCardImage,
                                      String associatedCardImageType,
                                      String associatedCardName,
                                      String metadataAddress,
                                      String name,
                                      String password,
                                      String pinCode,
                                      boolean saveCredential,
                                      String type,
                                      String username)

Method Detail

### getAddress

    public String getAddress()

  Gets the address value for this UITokenServiceCredentialTO.

  Returns:
    address

### setAddress

    public void setAddress(String address)

  Sets the address value for this UITokenServiceCredentialTO.

  Parameters:
    `address` -

### getAssociatedCardDescription

    public String getAssociatedCardDescription()

  Gets the associatedCardDescription value for this UITokenServiceCredentialTO.

  Returns:
    associatedCardDescription

### setAssociatedCardDescription

    public void setAssociatedCardDescription(String associatedCardDescription)

  Sets the associatedCardDescription value for this UITokenServiceCredentialTO.

  Parameters:
    `associatedCardDescription` -

### getAssociatedCardImage

    public byte[] getAssociatedCardImage()

  Gets the associatedCardImage value for this UITokenServiceCredentialTO.

  Returns:
    associatedCardImage

### setAssociatedCardImage

    public void setAssociatedCardImage(byte[] associatedCardImage)

  Sets the associatedCardImage value for this UITokenServiceCredentialTO.

  Parameters:
    `associatedCardImage` -

### getAssociatedCardImageType

    public String getAssociatedCardImageType()

  Gets the associatedCardImageType value for this UITokenServiceCredentialTO.

  Returns:
    associatedCardImageType

### setAssociatedCardImageType

    public void setAssociatedCardImageType(String associatedCardImageType)

  Sets the associatedCardImageType value for this UITokenServiceCredentialTO.

  Parameters:
    `associatedCardImageType` -

### getAssociatedCardName

    public String getAssociatedCardName()

  Gets the associatedCardName value for this UITokenServiceCredentialTO.

  Returns:
    associatedCardName

### setAssociatedCardName

    public void setAssociatedCardName(String associatedCardName)

  Sets the associatedCardName value for this UITokenServiceCredentialTO.

  Parameters:
    `associatedCardName` -

### getMetadataAddress

    public String getMetadataAddress()

  Gets the metadataAddress value for this UITokenServiceCredentialTO.

  Returns:
    metadataAddress

### setMetadataAddress

    public void setMetadataAddress(String metadataAddress)

  Sets the metadataAddress value for this UITokenServiceCredentialTO.

  Parameters:
    `metadataAddress` -

### getName

    public String getName()

  Gets the name value for this UITokenServiceCredentialTO.

  Returns:
    name

### setName

    public void setName(String name)

  Sets the name value for this UITokenServiceCredentialTO.

  Parameters:
    `name` -

### getPassword

    public String getPassword()

  Gets the password value for this UITokenServiceCredentialTO.

  Returns:
    password

### setPassword

    public void setPassword(String password)

  Sets the password value for this UITokenServiceCredentialTO.

  Parameters:
    `password` -

### getPinCode

    public String getPinCode()

  Gets the pinCode value for this UITokenServiceCredentialTO.

  Returns:
    pinCode

### setPinCode

    public void setPinCode(String pinCode)

  Sets the pinCode value for this UITokenServiceCredentialTO.

  Parameters:
    `pinCode` -

### isSaveCredential

    public boolean isSaveCredential()

  Gets the saveCredential value for this UITokenServiceCredentialTO.

  Returns:
    saveCredential

### setSaveCredential

    public void setSaveCredential(boolean saveCredential)

  Sets the saveCredential value for this UITokenServiceCredentialTO.

  Parameters:
    `saveCredential` -

### getType

    public String getType()

  Gets the type value for this UITokenServiceCredentialTO.

  Returns:
    type

### setType

    public void setType(String type)

  Sets the type value for this UITokenServiceCredentialTO.

  Parameters:
    `type` -

### getUsername

    public String getUsername()

  Gets the username value for this UITokenServiceCredentialTO.

  Returns:
    username

### setUsername

    public void setUsername(String username)

  Sets the username value for this UITokenServiceCredentialTO.

  Parameters:
    `username` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD